Skip to main content
GET
/
v1
/
runs
/
{runId}
/
perception-sources
Get perception sources
curl --request GET \
  --url https://api.example.com/v1/runs/{runId}/perception-sources
{
  "run": {},
  "data": [
    {
      "links": [
        {}
      ]
    }
  ]
}
Perception sources are the external URLs that LLMs referenced when generating perception scores. They are grouped by domain and sorted by response count — like Get run sources, but specific to the perception layer. In addition to topics and LLMs, each domain group lists the perception properties (e.g. "Trust", "Ease of use") that those sources contributed to.

Path parameters

runId
string
required
Run UUID. Obtain from List runs.

Request

curl -s \
  -H "x-spotlight-api-key: YOUR_API_KEY" \
  "https://app.get-spotlight.com/api/v1/runs/RUN_ID/perception-sources"

Response

run
object
data
DomainGroup[]
Domains sorted by responseCount descending.
{
  "run": { "id": "run-uuid-123", "brandId": "brand-uuid-123", "startedAt": "2025-02-01T10:00:00Z", "completedAt": "2025-02-01T11:00:00Z" },
  "data": [
    {
      "domain": "reviews.example.com",
      "urlCount": 2,
      "responseCount": 6,
      "properties": ["Trust", "Ease of use"],
      "llms": ["chatgpt"],
      "links": [
        { "uri": "https://reviews.example.com/post-1", "type": "review", "responseCount": 4 }
      ]
    }
  ]
}